## python-sqt 0.8.0

=== debian/changelog ===
python-sqt (0.8.0-9build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:50:47 +0000

python-sqt (0.8.0-9) unstable; urgency=medium

  * Team upload.
  * helpers-byte-typecasting.patch: new: fix test failure.
    Thanks to James Addison (Closes: #1098613)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Mar 2025 23:27:32 +0100

python-sqt (0.8.0-8) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/source/options: Remove .egg-info/ exclude-diff-ignore and add
    sqt/_version.py (Closes: #1049145)
  * d/control: Replace autopkgtest-pkg-python with autopkgtest-pkg-pybuild
  * d/rules: Add hardening option

 -- Lance Lin <lq27267@gmail.com>  Tue, 05 Dec 2023 21:43:36 +0700

python-sqt (0.8.0-7) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS with python3.12 (Closes: #1056037)
  * Add d/clean to cleanup generated .c files

 -- Nilesh Patra <nilesh@debian.org>  Sat, 02 Dec 2023 00:15:05 +0530

python-sqt (0.8.0-6) unstable; urgency=medium

  * Team upload.
  * d/watch: move to git mode; repair broken bitbucket link.
  * d/sqt.1: fix groff messages about lines too long.
  * pytest.patch: add; port test suite from nose to pytest.
  * d/control: build depends on pytest instead of nose. (Closes: #1018582)
  * Update standards version to 4.6.1, no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 16:26:29 -0000

python-sqt (0.8.0-5) unstable; urgency=medium

  * Team upload.
  * Point watch file to bitbucket
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 09:11:56 +0200

python-sqt (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Fix Build-Depends
    Closes: #950622
  * Use <!nocheck> instead of comment
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 05 Feb 2020 09:40:37 +0100

python-sqt (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild
    Closes: #921316

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 09:14:28 +0100

python-sqt (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Remove unneeded override_dh_auto_clean

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 07:48:50 +0100

python-sqt (0.8.0-1) unstable; urgency=medium

  * Team upload
  * Initial release (Closes: #919719)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 17:05:58 +0100
