=== debian/control ===
Source: python-sqt
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-setuptools,
               cython3,
               python3-cutadapt <!nocheck>,
               python3-pysam <!nocheck>,
               python3-pytest <!nocheck>,
               python3-seaborn <!nocheck>,
               python3-xopen <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/python-sqt
Vcs-Git: https://salsa.debian.org/med-team/python-sqt.git
Homepage: https://bitbucket.org/marcelm/sqt
Rules-Requires-Root: no

Package: python3-sqt
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         python3-seaborn,
         python3-matplotlib,
         python3-pysam,
         python3-cutadapt
Recommends: fonts-noto-color-emoji
Description: SeQuencing Tools for biological DNA/RNA high-throughput data
 sqt is a collection of command-line tools for working with
 high-throughput sequencing data.  Conceptionally not fixed to use any
 particular language, many sqt subcommands are currently implemented
 in Python. For them, a Python package is available with functions for
 reading and writing FASTA/FASTQ files, computing alignments, quality
 trimming, etc.
 .
 The following tools are offered:
  * sqt-coverage -- Compute per-reference statistics such as coverage
    and GC content
  * sqt-fastqmod -- FASTQ modifications: shorten, subset, reverse
    complement, quality trimming.
  * sqt-fastastats -- Compute N50, min/max length, GC content etc. of
    a FASTA file
  * sqt-qualityguess -- Guess quality encoding of one or more FASTA files.
  * sqt-globalalign -- Compute a global or semiglobal alignment of two strings.
  * sqt-chars -- Count length of the first word given on the command line.
  * sqt-sam-cscq -- Add the CS and CQ tags to a SAM file with colorspace reads.
  * sqt-fastamutate -- Add substitutions and indels to sequences in a
    FASTA file.
  * sqt-fastaextract -- Efficiently extract one or more regions from an
    indexed FASTA file.
  * sqt-translate -- Replace characters in FASTA files (like the 'tr'
    command).
  * sqt-sam-fixn -- Replace all non-ACGT characters within reads in a
    SAM file.
  * sqt-sam-insertsize -- Mean and standard deviation of paired-end
    insert sizes.
  * sqt-sam-set-op -- Set operations (union, intersection, ...) on
    SAM/BAM files.
  * sqt-bam-eof -- Check for the End-Of-File marker in compressed
    BAM files.
  * sqt-checkfastqpe -- Check whether two FASTQ files contain correctly
    paired paired-end data.
