=== debian/watch ===
version=4

opts="mode=git" \
https://bitbucket.org/marcelm/sqt.git \
refs/tags/v?@ANY_VERSION@
